Soumettre une demande de suppression
curl --request POST \
--url https://api.saspay.me/api/v1/merchant-deletion-requests/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant": "8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f",
"reason": "Fermeture de notre activité e-commerce"
}
'import requests
url = "https://api.saspay.me/api/v1/merchant-deletion-requests/"
payload = {
"merchant": "8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f",
"reason": "Fermeture de notre activité e-commerce"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchant: '8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f',
reason: 'Fermeture de notre activité e-commerce'
})
};
fetch('https://api.saspay.me/api/v1/merchant-deletion-requests/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d4e5f6a7-2b3c-4d5e-8f9a-0b1c2d3e4f5a",
"merchant": "8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f",
"requested_by_member": "aa11bb22-3c4d-4e5f-8a9b-0c1d2e3f4a5b",
"reason": "Fermeture de notre activité e-commerce",
"status": "PENDING",
"reviewed_by_admin": null,
"review_note": "",
"reviewed_at": null,
"created_at": "2026-08-12T11:00:00Z",
"updated_at": "2026-08-12T11:00:00Z"
}{
"message": "Une demande de suppression est déjà en attente pour ce marchand.",
"code": "already_pending"
}Marchand
Soumettre une demande de suppression
Seul chemin vers la suppression d’un compte marchand — décidée ensuite par un admin
POST
/
merchant-deletion-requests
/
Soumettre une demande de suppression
merchant est optionnel dans le corps de la requête — comme sur les autres endpoints self-service, sa valeur est forcée à votre propre marchand pour une clé API. Pour un compte dashboard possédant plusieurs marchands, précisez merchant (ou le header X-Merchant-Id) pour indiquer lequel est concerné.Une seule demande
PENDING à la fois par marchand — en soumettre une seconde renvoie 409 Conflict : {"message": "Une demande de suppression est déjà en attente pour ce marchand.", "code": "already_pending"}.⌘I